{{- define "sf-notifier" -}}
{{/* https://docs.python.org/3/library/logging.html#levels */}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "DEBUG" "debug" "DEBUG" "info" "INFO" "warn" "WARNING" "error" "ERROR" "crit" "CRITICAL") "component" "sfNotifier" | include "stacklight.logLevel" -}}

httpProxyDiscovery:
  enabled: {{ .Values.global.proxy.enabled }}
  secretName: {{ .Values.global.proxy.secretName }}
  checksum: {{ .Values.global.proxy.hash }}

{{ $sf := .Values.alertmanagerSimpleConfig.salesForce }}
env:
  SFDC_AUTH_URL: {{ $sf.auth.url }}
  SFDC_USERNAME: {{ $sf.auth.username }}
  SFDC_PASSWORD: {{ $sf.auth.password }}
  SFDC_ORGANIZATION_ID: {{ $sf.auth.organization_id }}
  SFDC_ENVIRONMENT_ID: {{ $sf.auth.environment_id }}
  SFDC_SANDBOX_ENABLED: {{ $sf.auth.sandbox_enabled | default "false" }}
  SF_NOTIFIER_ADD_LINKS: {{ $sf.link_prometheus | quote }}
  SF_NOTIFIER_FEED_ENABLED: {{ $sf.feed_enabled | quote }}
{{- if $logLevel }}
  DEFAULT_LOGGER_LEVEL: {{ $logLevel }}
{{- end }}

image:
  {{- include "stacklight.getImage" (dict "root" . "image" "sfNotifier") | nindent 2 }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "sfNotifier") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "sfNotifier") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "sfNotifier") }}
livenessProbe:
  enabled: true
readinessProbe:
  enabled: true
{{- end }}
