{{- define "telemeterClient" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "fatal") "component" "telemeterClient" | include "stacklight.logLevel" -}}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "originTelemeter") | nindent 2 }}
client:
  id: {{ .Values.telemetry.telemeterClient.id }}
  to: {{ .Values.telemetry.telemeterClient.to }}
  interval: {{ .Values.telemetry.telemeterClient.interval }}
  token:
    value: {{ .Values.telemetry.telemeterClient.token.value | quote }}
    secretName: {{ .Values.telemetry.telemeterClient.token.name | quote }}
  verbose: {{ .Values.telemetry.telemeterClient.verbose }}
extraArgs:
{{- if $logLevel }}
  - --log-level={{ $logLevel | quote }}
{{- end }}
match:
{{- $idKey := .Values.telemetry.clusterIdLabelInjection.key }}
{{- if .Values.telemetry.clusterIdLabelInjection.enabled }}
  - --match={__name__=~"telemetry:.+",{{ $idKey }}!=""}
{{- else }}
  - --match={__name__=~"telemetry:.+"}
{{- end }}
{{- range .Values.telemetry.telemeterClient.matchRules }}
  - --match={{ . }}
{{- end }}
{{- if ne $idKey "cluster_id" }}
httpProxyDiscovery:
  enabled: {{ .Values.global.proxy.enabled }}
  secretName: {{ .Values.global.proxy.secretName }}
  checksum: {{ .Values.global.proxy.hash }}
{{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "telemeterClient") }}
{{- include "stacklight.nodeSelector" (dict "inTplValues" .Values "service" "telemeterClient") }}
{{- include "stacklight.tolerations" (dict "inTplValues" .Values "service" "telemeterClient") }}
{{- end }}
