{{- define "tfExporter.common" -}}
image:
  {{- include "stacklight.getImage" (dict "root" . "image" "tungstenfabricPrometheusExporter") | nindent 2 }}
{{- end -}}

{{- define "tfControllerExporter" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "fatal") "component" "tfControllerExporter" | include "stacklight.logLevel" -}}
{{- if $logLevel }}
extraArgs:
- --log.level={{ $logLevel | quote }}
{{- end }}
{{ include "tfExporter.common" . }}
fullnameOverride: "prometheus-tf-controller-exporter"
tf:
  component: controller
  scrapeURI: "http://localhost:8083"
nodeSelector:
{{- if .Values.nodeSelector.component.tfControllerExporter }}
  {{ toYaml .Values.nodeSelector.component.tfControllerExporter | nindent 2 }}
{{- else }}
  tfcontrol: "enabled"
{{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "tfControllerExporter") }}
{{- $tolerations := (concat .Values.tolerations.default .Values.tolerations.component.tfControllerExporter) | uniq }}
{{- if $tolerations }}
  {{ toYaml $tolerations | nindent 0 }}
{{- end }}
{{- end -}}

{{- define "tfVrouterExporter" -}}
{{- $logLevel := dict "root" $ "logLevels" (dict "trace" "debug" "debug" "debug" "info" "info" "warn" "warn" "error" "error" "crit" "fatal") "component" "tfVrouterExporter" | include "stacklight.logLevel" -}}
{{- if $logLevel }}
extraArgs:
- --log.level={{ $logLevel | quote }}
{{- end }}
{{ include "tfExporter.common" . }}
affinity:
  nodeAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      nodeSelectorTerms:
      - matchExpressions:
        - key: tfvrouter
          operator: In
          values:
          - enabled
      - matchExpressions:
        - key: tfvrouter-dpdk
          operator: In
          values:
          - enabled
fullnameOverride: "prometheus-tf-vrouter-exporter"
tf:
  component: vrouter
  scrapeURI: "http://localhost:8085"
{{- if .Values.nodeSelector.component.tfVrouterExporter }}
nodeSelector:
  {{ toYaml .Values.nodeSelector.component.tfVrouterExporter | nindent 2 }}
{{- end }}
{{- include "stacklight.resources" (dict "inTplValues" .Values "service" "tfVrouterExporter") }}
{{- $tolerations := (concat .Values.tolerations.default .Values.tolerations.component.tfVrouterExporter) | uniq }}
{{- if $tolerations }}
  {{ toYaml $tolerations | nindent 0 }}
{{- end }}
{{- end -}}
